[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] virsh nodedev-dempxml is not supported by the connection driver



OK,I recompile with  "#./configure --prefix=/usr --libdir=/usr/lib64 --localstatedir=/var --sysconfdir=/etc --with-hal=yes --with-udev=yes --with-polkit=yes",now I can use the command "virsh nodedev-list".

thank you very much!

best regards,
qinguan

在 2011年5月9日 下午8:04,guan qin <qinguan0619 gmail com>写道:
I do as you said ,and find one machine can work well,but the other is still can't work.
I check the Configuration summary ,find that compare to the machine can't work,
the machine working well has an item: "polkit: /usr/bin/pkcheck (version 1)"
what's the polkit ? can I configure the libvirt with "--with-polkit=yes" ?

the machine works well:
Configuration summary:
configure: =====================
configure:
configure: Drivers
configure:
configure:      Xen: yes
configure:     QEMU: yes
configure:      UML: yes
configure:   OpenVZ: yes
configure:   VMware: yes
configure:     VBox: yes
configure:   XenAPI: no
configure: xenlight: no
configure:      LXC: yes
configure:     PHYP: no
configure:      ESX: no
configure:     Test: yes
configure:   Remote: yes
configure:  Network: yes
configure: Libvirtd: yes
configure:    netcf: no
configure:  macvtap: yes
configure: virtport: no
configure:
configure: Storage Drivers
configure:
configure:      Dir: yes
configure:       FS: yes
configure:    NetFS: yes
configure:      LVM: yes
configure:    iSCSI: no
configure:     SCSI: yes
configure:    mpath: yes
configure:     Disk: no
configure:
configure: Security Drivers
configure:
configure:  SELinux: yes
configure: AppArmor: no
configure:
configure: Driver Loadable Modules
configure:
configure:   dlopen: no
configure:
configure: Libraries
configure:
configure:   libxml: -I/usr/include/libxml2   -lxml2 
configure:  libcurl: no
configure:  libssh2: no
configure:   gnutls:   -lgnutls   -lgcrypt
configure:     sasl: no
configure:     yajl: no
configure:    avahi: no
configure:   polkit: /usr/bin/pkcheck (version 1)
configure:    audit: no
configure:  selinux:  -lselinux
configure: apparmor: no
configure:  numactl: no
configure:    capng: no
configure:      xen:   -lxenstore
configure:   xenapi: no
configure: xenlight: no
configure:      hal: -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -lhal -ldbus-1 -lpthread -lrt 
configure:     udev:   -ludev     -lpciaccess 
configure:    netcf: no
configure:     pcap: no
configure:       nl:   -lnl 
configure:    mscom: no
configure:      xdr:
configure:
configure: Test suite
configure:
configure:    Coverage: no
configure:   Alloc OOM: no
configure:
configure: Miscellaneous
configure:
configure:         Debug: yes
configure:      Warnings: maximum
configure:      Readline: no
configure:        Python: no
configure:        DTrace: no
configure:   XML Catalog: /etc/xml/catalog
configure:
configure: Privileges
configure:
configure:       QEMU: root:root
configure:
root Optiplex-780:/home/qinguan/libvirt-0.9.0# virsh nodedev-dumpxml pci_0000_00_19_0
<device>
  <name>pci_0000_00_19_0</name>
  <parent>computer</parent>
  <driver>
    <name>e1000e</name>
  </driver>
  <capability type='pci'>
    <domain>0</domain>
    <bus>0</bus>
    <slot>25</slot>
    <function>0</function>
    <product id='0x10de'>82567LM-3 Gigabit Network Connection</product>
    <vendor id='0x8086'>Intel Corporation</vendor>
  </capability>
</device>
root Optiplex-780:/home/qinguan/libvirt-0.9.0#

the machine still can't work:
configure: Configuration summary
configure: =====================
configure:
configure: Drivers
configure:
configure:      Xen: no
configure:     QEMU: yes
configure:      UML: yes
configure:   OpenVZ: yes
configure:   VMware: yes
configure:     VBox: yes
configure:   XenAPI: no
configure: xenlight: no
configure:      LXC: yes
configure:     PHYP: no
configure:      ESX: no
configure:     Test: yes
configure:   Remote: yes
configure:  Network: yes
configure: Libvirtd: yes
configure:    netcf: no
configure:  macvtap: yes
configure: virtport: no
configure:
configure: Storage Drivers
configure:
configure:      Dir: yes
configure:       FS: yes
configure:    NetFS: yes
configure:      LVM: yes
configure:    iSCSI: no
configure:     SCSI: yes
configure:    mpath: yes
configure:     Disk: no
configure:
configure: Security Drivers
configure:
configure:  SELinux: yes
configure: AppArmor: no
configure:
configure: Driver Loadable Modules
configure:
configure:   dlopen: no
configure:
configure: Libraries
configure:
configure:   libxml: -I/usr/include/libxml2   -lxml2 
configure:  libcurl: no
configure:  libssh2: no
configure:   gnutls:   -lgnutls   -lgcrypt
configure:     sasl: no
configure:     yajl: no
configure:    avahi: no
configure:   polkit: no
configure:    audit: no
configure:  selinux:  -lselinux
configure: apparmor: no
configure:  numactl: no
configure:    capng: no
configure:      xen: no
configure:   xenapi: no
configure: xenlight: no
configure:      hal: -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -lhal -ldbus-1 -lpthread -lrt 
configure:     udev:   -ludev     -lpciaccess 
configure:    netcf: no
configure:     pcap: no
configure:       nl:   -lnl 
configure:    mscom: no
configure:      xdr:
configure:
configure: Test suite
configure:
configure:    Coverage: no
configure:   Alloc OOM: no
configure:
configure: Miscellaneous
configure:
configure:         Debug: yes
configure:      Warnings: maximum
configure:      Readline: no
configure:        Python: no
configure:        DTrace: no
configure:   XML Catalog: /etc/xml/catalog
configure:
configure: Privileges
configure:
configure:       QEMU: root:root
configure:
root shahe26:~/libvirt-0.9.0# virsh
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # ^C
root shahe26:~/libvirt-0.9.0# virsh nodedev-dumpxml pci_0000_01_00_1
error: Could not find matching device 'pci_0000_01_00_1'

error: this function is not supported by the connection driver: virNodeDeviceLookupByName

root shahe26:~/libvirt-0.9.0# virsh nodedev-list

error: Failed to count node devices
error: this function is not supported by the connection driver: virNodeNumOfDevices

root shahe26:~/libvirt-0.9.0# dpkg -l | grep udev
ii  libudev-dev                         164-3                            libudev development files

ii  libudev0                            164-3                            libudev shared library
ii  udev                                164-3                            /dev/ and hotplug management daemon



best regards,
qinguan


2011/5/9 Osier Yang <jyang redhat com>
于 2011年05月09日 17:43, guan qin 写道:

thanks for your reply !
At first ,I use " apt-get install libvirt-bin " to install the libvirt
,the version is 0.8.3 ,and "virsh nodedev-list" works well .
but I need the version 0.9.0. So I complied the libvirt use source code
as follows:
#./configure --prefix=/usr --libdir=/usr/lib64 --localstatedir=/var
--sysconfdir=/etc
#make
#make install
can you tell me how to complie the libvirt with udev and hal ?

I'm not sure how ubuntu do pkgs, on FC14, devel pkg is seperated.
# rpm -q hal-devel
hal-devel-0.5.14-5.fc14.1.x86_64

Anyway, you can get prompt if don't have the required pkgs by:


#./configure --prefix=/usr --libdir=/usr/lib64 --localstatedir=/var
--sysconfdir=/etc --with-hal=yes --with-udev=yes

Regards
Osier



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]